Productsup

Fetch the next item from the specified file

Will return the next item from the file, if no more: no-content response. WARNING: Type "full" is deprecated. Use "input" instead.

GET
/input/{type}/next

Path Parameters

type*string
Match^full|input|new|modified|unchanged|deleted$

Query Parameters

show-hidden?boolean

Show or hide columns with double underscore in name. Hidden by default

classification-id?integer

Classification ID for CSA export-delta

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/input/string/next"
{
  "message": "",
  "data": {
    "not-needed": "not-needed",
    "name": "product_1",
    "___some_column": "value",
    "___skipped_export": ""
  }
}
Empty
{
  "message": "Bad request.",
  "errors": {
    "classification-id": "This value does not have valid integer."
  }
}
{
  "message": "Requested file not provided."
}
{
  "message": "Invalid file."
}

How is this guide?